//+------------------------------------------------------------------+
//|                                                EA_TralEquiti.mq4 |
//|                                       Copyright  2008, Serj_Che |
//|                                                   serj-che@ya.ru |
//+------------------------------------------------------------------+
#property copyright "Copyright  2008, Serj_Che"
#property link      "serj-che@ya.ru"

extern double       TSEquty      =   250;
extern double       SLEquty      =   450;
extern double       StartTSEquty =   5;

int mn = 270309;
double VSL;
static datetime prevtime = 0;

//+------------------------------------------------------------------+
//| expert start function                                            |
//+------------------------------------------------------------------+
int start()
  {
   trailequiti(); // ------------   ---------------------+
   
   Comment("  = ",AccountEquity(),"\n","   =  ",AccountBalance(),"\n","  = ",VSL);

//--------------------------------------------------------------------------------------------+
//            -                                                          |  

if(prevtime == Time[0]) return(0);
prevtime = Time[0]; 

if(Open[1]<Open[0]) OrderSend(Symbol(),OP_BUY,0.1,Ask,3,0,0,"",mn,0,Blue);
if(Open[1]>Open[0]) OrderSend(Symbol(),OP_SELL,0.1,Bid,3,0,0,"",mn,0,Red);
//--------------------------------------------------------------------------------------------+
      
   return(0);
  }
//+------------------------------------------------------------------+
//                                                 |
//+------------------------------------------------------------------+
void trailequiti()
{
 if(OrdersTotal()==0) VSL=AccountBalance()-SLEquty;
 if(AccountEquity()-TSEquty-StartTSEquty > AccountBalance()) { 
   if(AccountEquity()-TSEquty > VSL)  VSL=AccountEquity()-TSEquty; }
 if(AccountEquity()<VSL) CloseAll();
}
//+------------------------------------------------------------------+
//                                                 |
//+------------------------------------------------------------------+
void CloseAll()
{
 int ticket, i;
 while(OrdersTotal()>0) {
  for(i=OrdersTotal()-1;i>=0;i--){
   OrderSelect(i,SELECT_BY_POS,MODE_TRADES);
    if(OrderType()<2){
     if(OrderType()==OP_BUY) {
        RefreshRates();
        ticket=OrderClose(OrderTicket(),OrderLots(),Bid,3,Green);
        if(!ticket) Print(" ! ",GetLastError()); 
        Sleep(1000); }
     if(OrderType()==OP_SELL) {
        RefreshRates();
        ticket=OrderClose(OrderTicket(),OrderLots(),Ask,3,Green);
        if(!ticket) Print(" ! ",GetLastError()); 
        Sleep(1000); }
    }    
  }
 }   
}
//+ -----------------------------------------------------------------+

